Document Additional Functions
Manage VARIO document workflows via REST API: update tags, types and states, control delivery, unlock open items and process document lines.
Additional Document Functions
OK
PUT /erp/documents/additional-functions/{documentId}/updateTags/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
{
"document": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"number": "text",
"accountNumber": "text",
"customerNumber": "text",
"ourCustomerNumber": "text",
"supplierNumber": "text",
"salesAgentNumber": "text",
"externalIdentifier": "text",
"externalNumber": "text",
"externalPaymentReference": "text",
"published": false,
"frozen": false,
"qualifier": "SALE",
"accountId": "text",
"billingAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"documentDate": "2026-01-01",
"performanceDate": "2026-01-01",
"valueDate": "2026-01-01",
"taxable": true,
"taxIdentificationNumber": "text",
"taxIdVerificationState": "NOT_YET_VERIFIED",
"valitoolValidationState": "NOT_VALIDATED",
"billingType": "GROSS",
"documentType": "text",
"documentTypeId": 1,
"documentTypeCategory": "CUSTOMER_OFFER",
"documentState": {
"label": "text",
"key": "text",
"definition": "SELECTABLE_TYPES"
},
"cancellationReasonRef": {
"id": "text",
"label": "text",
"description": "text"
},
"currencyCode": "text",
"exchangeRate": 1,
"exchangeRateOrigin": "AUTOMATIC",
"responsibleUserRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"totalBeforeModifier": 1,
"totalPriceModifier": 1,
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"totalNetPrice": 1,
"totalVat": 1,
"totalGrossPrice": 1,
"roundingAmount": 1,
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true,
"paymentType": "PREPAYMENT"
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"depositPaymentAmount": 1,
"depositPaymentDate": "2026-01-01",
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryQuantityPackages": 1,
"deliveryText": "text",
"deliveryApproved": true,
"dropShippingInvoiceApproved": true,
"orderedOn": "2026-01-01",
"orderedByPersonRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"orderedBy": "text",
"taxLiabilityReversed": false,
"collectiveInvoice": false,
"texts": [],
"lines": [],
"shippingCosts": [],
"posPayments": [],
"shippingCostSum": 1,
"priceModifiers": [],
"taxes": [],
"defaultAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"billingAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"deliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"returnDeliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"stackProcessingType": "NO_PICKING",
"stackProcessingPriority": 1,
"maxDeliveries": 1,
"taxPerformanceLocation": "DOMESTIC",
"mainSupplyType": "GOODS",
"mainSupplyTypeOrigin": "AUTOMATIC",
"performanceCountryCode": "text",
"sourceCountryCode": "text",
"afterPickingTargetDocumentTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"grossWeight": 1,
"grossWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"userDefinedWeight": false,
"tags": [],
"reportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"locationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDiscountableTotalGrossPrice": 1,
"contractDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"runtimeFromDate": "2026-01-01",
"runtimeToDate": "2026-01-01",
"lastCustomerCancellationDate": "2026-01-01",
"lastProviderCancellationDate": "2026-01-01",
"dueDateCalculation": "text",
"dueDate": "2026-01-01",
"nextDueDate": "2026-01-01",
"calculateDirectly": true,
"active": true,
"publishInPortal": false
},
"posDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"posRegisterRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDrawerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashJournalRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fiscalizationBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"tssSignature": {
"status": "FINISHED",
"responseData": "text",
"externalReference": "text",
"revision": 1
},
"externalReference": "text",
"timeStart": 1,
"timeEnd": 1,
"clientSerialNumber": "text",
"tssSerialNumber": "text",
"transactionNumber": 1,
"revision": 1,
"signatureCounter": 1,
"signature": "text",
"withdrawalFromClosing": false
},
"fabricationDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"minimumDegreeOfFulfillment": 1,
"note": "text",
"componentsStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
},
"buyerReference": "text",
"en16931Profile": "ZUGFERD",
"importType": "NOT_IMPORTED",
"paymentPlan": false,
"calculationMode": "HORIZONTAL",
"processedByWorkflow": true,
"referencedOrderNumber": "text",
"additionalInfo": {
"calculationModeOrigin": "FROM_BILLING_ADDRESS",
"roundingMode": "NONE",
"en16931Origin": "FROM_BILLING_ADDRESS",
"buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
"previousDecisions": "text",
"taxSituationOrigin": "UNDEFINED",
"languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
"contextParameters": [],
"incomingGoodsTarget": {
"storageBinId": 1,
"pickTrolleyId": 1
},
"translations": [],
"incomingGoodsTargetsPerLine": []
},
"languageCode": "text",
"baseCurrencyCode": "text",
"baseTotalNetPrice": 1,
"baseTotalLinePriceModifier": 1,
"baseTotalDocumentPriceModifier": 1,
"baseTotalGrossPrice": 1,
"baseDepositPaymentAmount": 1,
"baseCashDiscountableTotalGrossPrice": 1,
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"posReceiptPaymentSum": 1,
"posReceiptBalance": 1,
"posReceiptChangeAmount": 1,
"posReceiptBalanced": false,
"posReceiptPayed": false,
"dropShipping": true,
"totalGrossVolumeInCubicMeters": 1
},
"hints": {
"details": []
},
"viewOptions": {
"revenueCalculation": {
"productPurchasePrice": 1,
"salesValue": 1,
"revenue": 1,
"revenueInPercent": 1
},
"loanValue": {
"accountId": 1,
"maximalLoan": 1,
"currentLoan": 1,
"nonInvoicedDocumentLoan": 1,
"receivableLoan": 1,
"payablesSum": 1,
"currentDocumentLoan": 1,
"remainingLoan": 1,
"exceededLoan": 1,
"unconsideredAmount": 1
},
"considerForCreditLimit": true,
"financeJournalAccountingInformation": {
"accountingStatus": "PROCESSING",
"financeBookingRunRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
"runState": "PROCESSING"
},
"possiblePredecessorTypes": [
"text"
],
"sumAmountOfProgressInvoices": 1,
"sumAmountOfDepositInvoices": 1,
"sumAmountOfPartialInvoices": 1,
"sumAmountOfDeliveryInvoices": 1,
"depositInvoiceRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"sumOpenAmountForProgressInvoices": 1,
"totalAmountDependingFromBillingType": 1,
"orderRefs": [],
"picklistRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"autoPrintPaperReceipt": true
}
}OK
PUT /erp/documents/additional-functions/{documentId}/update-type/{targetTypeId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"document": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"number": "text",
"accountNumber": "text",
"customerNumber": "text",
"ourCustomerNumber": "text",
"supplierNumber": "text",
"salesAgentNumber": "text",
"externalIdentifier": "text",
"externalNumber": "text",
"externalPaymentReference": "text",
"published": false,
"frozen": false,
"qualifier": "SALE",
"accountId": "text",
"billingAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"documentDate": "2026-01-01",
"performanceDate": "2026-01-01",
"valueDate": "2026-01-01",
"taxable": true,
"taxIdentificationNumber": "text",
"taxIdVerificationState": "NOT_YET_VERIFIED",
"valitoolValidationState": "NOT_VALIDATED",
"billingType": "GROSS",
"documentType": "text",
"documentTypeId": 1,
"documentTypeCategory": "CUSTOMER_OFFER",
"documentState": {
"label": "text",
"key": "text",
"definition": "SELECTABLE_TYPES"
},
"cancellationReasonRef": {
"id": "text",
"label": "text",
"description": "text"
},
"currencyCode": "text",
"exchangeRate": 1,
"exchangeRateOrigin": "AUTOMATIC",
"responsibleUserRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"totalBeforeModifier": 1,
"totalPriceModifier": 1,
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"totalNetPrice": 1,
"totalVat": 1,
"totalGrossPrice": 1,
"roundingAmount": 1,
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true,
"paymentType": "PREPAYMENT"
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"depositPaymentAmount": 1,
"depositPaymentDate": "2026-01-01",
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryQuantityPackages": 1,
"deliveryText": "text",
"deliveryApproved": true,
"dropShippingInvoiceApproved": true,
"orderedOn": "2026-01-01",
"orderedByPersonRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"orderedBy": "text",
"taxLiabilityReversed": false,
"collectiveInvoice": false,
"texts": [],
"lines": [],
"shippingCosts": [],
"posPayments": [],
"shippingCostSum": 1,
"priceModifiers": [],
"taxes": [],
"defaultAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"billingAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"deliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"returnDeliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"stackProcessingType": "NO_PICKING",
"stackProcessingPriority": 1,
"maxDeliveries": 1,
"taxPerformanceLocation": "DOMESTIC",
"mainSupplyType": "GOODS",
"mainSupplyTypeOrigin": "AUTOMATIC",
"performanceCountryCode": "text",
"sourceCountryCode": "text",
"afterPickingTargetDocumentTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"grossWeight": 1,
"grossWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"userDefinedWeight": false,
"tags": [],
"reportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"locationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDiscountableTotalGrossPrice": 1,
"contractDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"runtimeFromDate": "2026-01-01",
"runtimeToDate": "2026-01-01",
"lastCustomerCancellationDate": "2026-01-01",
"lastProviderCancellationDate": "2026-01-01",
"dueDateCalculation": "text",
"dueDate": "2026-01-01",
"nextDueDate": "2026-01-01",
"calculateDirectly": true,
"active": true,
"publishInPortal": false
},
"posDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"posRegisterRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDrawerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashJournalRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fiscalizationBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"tssSignature": {
"status": "FINISHED",
"responseData": "text",
"externalReference": "text",
"revision": 1
},
"externalReference": "text",
"timeStart": 1,
"timeEnd": 1,
"clientSerialNumber": "text",
"tssSerialNumber": "text",
"transactionNumber": 1,
"revision": 1,
"signatureCounter": 1,
"signature": "text",
"withdrawalFromClosing": false
},
"fabricationDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"minimumDegreeOfFulfillment": 1,
"note": "text",
"componentsStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
},
"buyerReference": "text",
"en16931Profile": "ZUGFERD",
"importType": "NOT_IMPORTED",
"paymentPlan": false,
"calculationMode": "HORIZONTAL",
"processedByWorkflow": true,
"referencedOrderNumber": "text",
"additionalInfo": {
"calculationModeOrigin": "FROM_BILLING_ADDRESS",
"roundingMode": "NONE",
"en16931Origin": "FROM_BILLING_ADDRESS",
"buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
"previousDecisions": "text",
"taxSituationOrigin": "UNDEFINED",
"languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
"contextParameters": [],
"incomingGoodsTarget": {
"storageBinId": 1,
"pickTrolleyId": 1
},
"translations": [],
"incomingGoodsTargetsPerLine": []
},
"languageCode": "text",
"baseCurrencyCode": "text",
"baseTotalNetPrice": 1,
"baseTotalLinePriceModifier": 1,
"baseTotalDocumentPriceModifier": 1,
"baseTotalGrossPrice": 1,
"baseDepositPaymentAmount": 1,
"baseCashDiscountableTotalGrossPrice": 1,
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"posReceiptPaymentSum": 1,
"posReceiptBalance": 1,
"posReceiptChangeAmount": 1,
"posReceiptBalanced": false,
"posReceiptPayed": false,
"dropShipping": true,
"totalGrossVolumeInCubicMeters": 1
},
"hints": {
"details": []
},
"viewOptions": {
"revenueCalculation": {
"productPurchasePrice": 1,
"salesValue": 1,
"revenue": 1,
"revenueInPercent": 1
},
"loanValue": {
"accountId": 1,
"maximalLoan": 1,
"currentLoan": 1,
"nonInvoicedDocumentLoan": 1,
"receivableLoan": 1,
"payablesSum": 1,
"currentDocumentLoan": 1,
"remainingLoan": 1,
"exceededLoan": 1,
"unconsideredAmount": 1
},
"considerForCreditLimit": true,
"financeJournalAccountingInformation": {
"accountingStatus": "PROCESSING",
"financeBookingRunRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
"runState": "PROCESSING"
},
"possiblePredecessorTypes": [
"text"
],
"sumAmountOfProgressInvoices": 1,
"sumAmountOfDepositInvoices": 1,
"sumAmountOfPartialInvoices": 1,
"sumAmountOfDeliveryInvoices": 1,
"depositInvoiceRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"sumOpenAmountForProgressInvoices": 1,
"totalAmountDependingFromBillingType": 1,
"orderRefs": [],
"picklistRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"autoPrintPaperReceipt": true
}
}OK
PUT /erp/documents/additional-functions/{documentId}/update-state/{targetState} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"document": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"number": "text",
"accountNumber": "text",
"customerNumber": "text",
"ourCustomerNumber": "text",
"supplierNumber": "text",
"salesAgentNumber": "text",
"externalIdentifier": "text",
"externalNumber": "text",
"externalPaymentReference": "text",
"published": false,
"frozen": false,
"qualifier": "SALE",
"accountId": "text",
"billingAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"documentDate": "2026-01-01",
"performanceDate": "2026-01-01",
"valueDate": "2026-01-01",
"taxable": true,
"taxIdentificationNumber": "text",
"taxIdVerificationState": "NOT_YET_VERIFIED",
"valitoolValidationState": "NOT_VALIDATED",
"billingType": "GROSS",
"documentType": "text",
"documentTypeId": 1,
"documentTypeCategory": "CUSTOMER_OFFER",
"documentState": {
"label": "text",
"key": "text",
"definition": "SELECTABLE_TYPES"
},
"cancellationReasonRef": {
"id": "text",
"label": "text",
"description": "text"
},
"currencyCode": "text",
"exchangeRate": 1,
"exchangeRateOrigin": "AUTOMATIC",
"responsibleUserRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"totalBeforeModifier": 1,
"totalPriceModifier": 1,
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"totalNetPrice": 1,
"totalVat": 1,
"totalGrossPrice": 1,
"roundingAmount": 1,
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true,
"paymentType": "PREPAYMENT"
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"depositPaymentAmount": 1,
"depositPaymentDate": "2026-01-01",
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryQuantityPackages": 1,
"deliveryText": "text",
"deliveryApproved": true,
"dropShippingInvoiceApproved": true,
"orderedOn": "2026-01-01",
"orderedByPersonRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"orderedBy": "text",
"taxLiabilityReversed": false,
"collectiveInvoice": false,
"texts": [],
"lines": [],
"shippingCosts": [],
"posPayments": [],
"shippingCostSum": 1,
"priceModifiers": [],
"taxes": [],
"defaultAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"billingAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"deliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"returnDeliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"stackProcessingType": "NO_PICKING",
"stackProcessingPriority": 1,
"maxDeliveries": 1,
"taxPerformanceLocation": "DOMESTIC",
"mainSupplyType": "GOODS",
"mainSupplyTypeOrigin": "AUTOMATIC",
"performanceCountryCode": "text",
"sourceCountryCode": "text",
"afterPickingTargetDocumentTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"grossWeight": 1,
"grossWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"userDefinedWeight": false,
"tags": [],
"reportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"locationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDiscountableTotalGrossPrice": 1,
"contractDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"runtimeFromDate": "2026-01-01",
"runtimeToDate": "2026-01-01",
"lastCustomerCancellationDate": "2026-01-01",
"lastProviderCancellationDate": "2026-01-01",
"dueDateCalculation": "text",
"dueDate": "2026-01-01",
"nextDueDate": "2026-01-01",
"calculateDirectly": true,
"active": true,
"publishInPortal": false
},
"posDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"posRegisterRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDrawerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashJournalRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fiscalizationBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"tssSignature": {
"status": "FINISHED",
"responseData": "text",
"externalReference": "text",
"revision": 1
},
"externalReference": "text",
"timeStart": 1,
"timeEnd": 1,
"clientSerialNumber": "text",
"tssSerialNumber": "text",
"transactionNumber": 1,
"revision": 1,
"signatureCounter": 1,
"signature": "text",
"withdrawalFromClosing": false
},
"fabricationDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"minimumDegreeOfFulfillment": 1,
"note": "text",
"componentsStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
},
"buyerReference": "text",
"en16931Profile": "ZUGFERD",
"importType": "NOT_IMPORTED",
"paymentPlan": false,
"calculationMode": "HORIZONTAL",
"processedByWorkflow": true,
"referencedOrderNumber": "text",
"additionalInfo": {
"calculationModeOrigin": "FROM_BILLING_ADDRESS",
"roundingMode": "NONE",
"en16931Origin": "FROM_BILLING_ADDRESS",
"buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
"previousDecisions": "text",
"taxSituationOrigin": "UNDEFINED",
"languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
"contextParameters": [],
"incomingGoodsTarget": {
"storageBinId": 1,
"pickTrolleyId": 1
},
"translations": [],
"incomingGoodsTargetsPerLine": []
},
"languageCode": "text",
"baseCurrencyCode": "text",
"baseTotalNetPrice": 1,
"baseTotalLinePriceModifier": 1,
"baseTotalDocumentPriceModifier": 1,
"baseTotalGrossPrice": 1,
"baseDepositPaymentAmount": 1,
"baseCashDiscountableTotalGrossPrice": 1,
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"posReceiptPaymentSum": 1,
"posReceiptBalance": 1,
"posReceiptChangeAmount": 1,
"posReceiptBalanced": false,
"posReceiptPayed": false,
"dropShipping": true,
"totalGrossVolumeInCubicMeters": 1
},
"hints": {
"details": []
},
"viewOptions": {
"revenueCalculation": {
"productPurchasePrice": 1,
"salesValue": 1,
"revenue": 1,
"revenueInPercent": 1
},
"loanValue": {
"accountId": 1,
"maximalLoan": 1,
"currentLoan": 1,
"nonInvoicedDocumentLoan": 1,
"receivableLoan": 1,
"payablesSum": 1,
"currentDocumentLoan": 1,
"remainingLoan": 1,
"exceededLoan": 1,
"unconsideredAmount": 1
},
"considerForCreditLimit": true,
"financeJournalAccountingInformation": {
"accountingStatus": "PROCESSING",
"financeBookingRunRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
"runState": "PROCESSING"
},
"possiblePredecessorTypes": [
"text"
],
"sumAmountOfProgressInvoices": 1,
"sumAmountOfDepositInvoices": 1,
"sumAmountOfPartialInvoices": 1,
"sumAmountOfDeliveryInvoices": 1,
"depositInvoiceRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"sumOpenAmountForProgressInvoices": 1,
"totalAmountDependingFromBillingType": 1,
"orderRefs": [],
"picklistRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"autoPrintPaperReceipt": true
}
}OK
PUT /erp/documents/additional-functions/{documentId}/unlock-openitem HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"document": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"number": "text",
"accountNumber": "text",
"customerNumber": "text",
"ourCustomerNumber": "text",
"supplierNumber": "text",
"salesAgentNumber": "text",
"externalIdentifier": "text",
"externalNumber": "text",
"externalPaymentReference": "text",
"published": false,
"frozen": false,
"qualifier": "SALE",
"accountId": "text",
"billingAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"documentDate": "2026-01-01",
"performanceDate": "2026-01-01",
"valueDate": "2026-01-01",
"taxable": true,
"taxIdentificationNumber": "text",
"taxIdVerificationState": "NOT_YET_VERIFIED",
"valitoolValidationState": "NOT_VALIDATED",
"billingType": "GROSS",
"documentType": "text",
"documentTypeId": 1,
"documentTypeCategory": "CUSTOMER_OFFER",
"documentState": {
"label": "text",
"key": "text",
"definition": "SELECTABLE_TYPES"
},
"cancellationReasonRef": {
"id": "text",
"label": "text",
"description": "text"
},
"currencyCode": "text",
"exchangeRate": 1,
"exchangeRateOrigin": "AUTOMATIC",
"responsibleUserRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"totalBeforeModifier": 1,
"totalPriceModifier": 1,
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"totalNetPrice": 1,
"totalVat": 1,
"totalGrossPrice": 1,
"roundingAmount": 1,
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true,
"paymentType": "PREPAYMENT"
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"depositPaymentAmount": 1,
"depositPaymentDate": "2026-01-01",
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryQuantityPackages": 1,
"deliveryText": "text",
"deliveryApproved": true,
"dropShippingInvoiceApproved": true,
"orderedOn": "2026-01-01",
"orderedByPersonRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"orderedBy": "text",
"taxLiabilityReversed": false,
"collectiveInvoice": false,
"texts": [],
"lines": [],
"shippingCosts": [],
"posPayments": [],
"shippingCostSum": 1,
"priceModifiers": [],
"taxes": [],
"defaultAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"billingAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"deliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"returnDeliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"stackProcessingType": "NO_PICKING",
"stackProcessingPriority": 1,
"maxDeliveries": 1,
"taxPerformanceLocation": "DOMESTIC",
"mainSupplyType": "GOODS",
"mainSupplyTypeOrigin": "AUTOMATIC",
"performanceCountryCode": "text",
"sourceCountryCode": "text",
"afterPickingTargetDocumentTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"grossWeight": 1,
"grossWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"userDefinedWeight": false,
"tags": [],
"reportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"locationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDiscountableTotalGrossPrice": 1,
"contractDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"runtimeFromDate": "2026-01-01",
"runtimeToDate": "2026-01-01",
"lastCustomerCancellationDate": "2026-01-01",
"lastProviderCancellationDate": "2026-01-01",
"dueDateCalculation": "text",
"dueDate": "2026-01-01",
"nextDueDate": "2026-01-01",
"calculateDirectly": true,
"active": true,
"publishInPortal": false
},
"posDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"posRegisterRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDrawerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashJournalRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fiscalizationBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"tssSignature": {
"status": "FINISHED",
"responseData": "text",
"externalReference": "text",
"revision": 1
},
"externalReference": "text",
"timeStart": 1,
"timeEnd": 1,
"clientSerialNumber": "text",
"tssSerialNumber": "text",
"transactionNumber": 1,
"revision": 1,
"signatureCounter": 1,
"signature": "text",
"withdrawalFromClosing": false
},
"fabricationDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"minimumDegreeOfFulfillment": 1,
"note": "text",
"componentsStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
},
"buyerReference": "text",
"en16931Profile": "ZUGFERD",
"importType": "NOT_IMPORTED",
"paymentPlan": false,
"calculationMode": "HORIZONTAL",
"processedByWorkflow": true,
"referencedOrderNumber": "text",
"additionalInfo": {
"calculationModeOrigin": "FROM_BILLING_ADDRESS",
"roundingMode": "NONE",
"en16931Origin": "FROM_BILLING_ADDRESS",
"buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
"previousDecisions": "text",
"taxSituationOrigin": "UNDEFINED",
"languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
"contextParameters": [],
"incomingGoodsTarget": {
"storageBinId": 1,
"pickTrolleyId": 1
},
"translations": [],
"incomingGoodsTargetsPerLine": []
},
"languageCode": "text",
"baseCurrencyCode": "text",
"baseTotalNetPrice": 1,
"baseTotalLinePriceModifier": 1,
"baseTotalDocumentPriceModifier": 1,
"baseTotalGrossPrice": 1,
"baseDepositPaymentAmount": 1,
"baseCashDiscountableTotalGrossPrice": 1,
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"posReceiptPaymentSum": 1,
"posReceiptBalance": 1,
"posReceiptChangeAmount": 1,
"posReceiptBalanced": false,
"posReceiptPayed": false,
"dropShipping": true,
"totalGrossVolumeInCubicMeters": 1
},
"hints": {
"details": []
},
"viewOptions": {
"revenueCalculation": {
"productPurchasePrice": 1,
"salesValue": 1,
"revenue": 1,
"revenueInPercent": 1
},
"loanValue": {
"accountId": 1,
"maximalLoan": 1,
"currentLoan": 1,
"nonInvoicedDocumentLoan": 1,
"receivableLoan": 1,
"payablesSum": 1,
"currentDocumentLoan": 1,
"remainingLoan": 1,
"exceededLoan": 1,
"unconsideredAmount": 1
},
"considerForCreditLimit": true,
"financeJournalAccountingInformation": {
"accountingStatus": "PROCESSING",
"financeBookingRunRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
"runState": "PROCESSING"
},
"possiblePredecessorTypes": [
"text"
],
"sumAmountOfProgressInvoices": 1,
"sumAmountOfDepositInvoices": 1,
"sumAmountOfPartialInvoices": 1,
"sumAmountOfDeliveryInvoices": 1,
"depositInvoiceRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"sumOpenAmountForProgressInvoices": 1,
"totalAmountDependingFromBillingType": 1,
"orderRefs": [],
"picklistRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"autoPrintPaperReceipt": true
}
}OK
Document lines.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Position number.
Position number across all article lines.
Article.
Line type.
Article types.
Article serial type.
Article number.
Article name.
Article description.
Price per quantity [gross, net].
Price unit.
Price origin.
Quantity.
Processed quantity.
Quantity in the picking process.
Pre-ordered quantity in the picking process.
Is this line completely processed?
falseTotal of the line price changes [gross, net].
Total of the document price changes [gross, net].
Net total price (after the price changes).
Tax amount.
Line total [gross, net], i.e. price * quantity less the line discounts.
Customs tariff number.
Delivery date.
Expected delivery period end (only required for delivery periods when the delivery date is set).
Confirmed delivery date.
Confirmed delivery period end (only required for delivery periods when the delivery date is set).
Shipping date.
Delivery text.
Shipper-specific information.
External reference to the VDS parcel.
External article number.
External article name.
External article description.
Net weight.
Total net weight.
Gross weight.
Total gross weight.
Unit of measure content.
Base unit content.
Reference to the base line.
Scanned code of the preprinted voucher card (VOUCHER_SALE of a voucher type with scanned codes only)
Open remaining amount of the open item to settle (only in the response).
Due date of the open item to settle (only in the response).
Payment discount of the open item to settle that is applicable at the document date (only in the response).
Note on the open item line - transferred into the open item comment on closing.
Reference to the supplier order line.
§13b UStG preset of the article.
falseIs §13b UStG applied?
falsePreset value for the price calculation.
Calculation structure.
Commission origin.
Is this line eligible for the payment discount?
trueIs this line eligible for discount?
trueIs this line eligible for commission?
falseWarranty in months.
Performance date.
Price per unit in base currency.
Price adjustments - line, in base currency.
Price adjustments - proportionally from the document, in base currency.
Total line price in base currency.
Line net sales value in base currency.
Is this a progress invoice line?
falseDefines whether and how an article may be sold by drop shipping.
unit gross Volume in cubic meters
unit gross Volume in cubic meters
Accessory insert term.
Does the article have accessories?
falseShould the DocumentLine be recalculated from the components?
falseShould labels be printed for this line?
falsepicking hint
PUT /erp/documents/additional-functions/{documentId}/line/{documentLineId}/customerOrderLine/{customerOrderLineId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"position": 1,
"positionOfArticleLine": 1,
"articleId": "text",
"lineType": "ARTICLE_LINE",
"productType": "WITH_STOCK",
"serialType": "NONE",
"number": "text",
"name": "text",
"description": "text",
"unitType": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"price": 1,
"priceUnit": 1,
"priceOrigin": "USER_DEFINED",
"priceSelectionCriteria": {
"qualifier": "SALES",
"articleIds": [
1
],
"selectOnlyDefaultPrice": false,
"accountIds": [
1
],
"productGroupId": 1,
"priceGroupId": 1,
"date": "2026-01-01",
"quantity": 1,
"noteSpecialOfferPrice": true
},
"quantity": 1,
"quantityCommitted": 1,
"pickingQuantity": 1,
"preOrderPickedQuantity": 1,
"complete": false,
"taxSchemaRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"taxes": [],
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"priceModifiers": [],
"salesValueNet": 1,
"vat": 1,
"totalLinePrice": 1,
"texts": [],
"shippingCostDetail": {
"manualCosts": false,
"freeShipping": false,
"purchasePrice": 1
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"country": {
"id": 1,
"isoAlpha2": "text",
"isoAlpha3": "text",
"label": "text"
},
"countryRegion": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customsTariffNumber": "text",
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryText": "text",
"packageOptions": "text",
"externalReferenceVds": "text",
"externalArticleNumber": "text",
"externalArticleName": "text",
"externalArticleDescription": "text",
"netWeight": 1,
"totalNetWeight": 1,
"netWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"grossWeight": 1,
"totalGrossWeight": 1,
"grossWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"capacity": 1,
"capacityUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"baseCapacity": 1,
"baseCapacityUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"sourceLineRef": {
"id": 1,
"documentId": 1,
"category": "CUSTOMER_OFFER",
"documentType": "text",
"documentState": "text",
"number": "text",
"articleNumber": "text",
"position": 1,
"name": "text",
"quantity": 1,
"price": 1,
"displayName": "text"
},
"baseLineId": 1,
"mainArticleLineRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"settledOpenItemRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"voucherTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"voucherRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"voucherCode": "text",
"settledOpenItemBalance": 1,
"settledOpenItemPaymentDueDate": "2026-01-01",
"settledOpenItemDiscountAmount": 1,
"settledOpenItemComment": "text",
"customerOrderLineRef": {
"id": 1,
"documentId": 1,
"category": "CUSTOMER_OFFER",
"documentType": "text",
"documentState": "text",
"number": "text",
"articleNumber": "text",
"position": 1,
"name": "text",
"quantity": 1,
"price": 1,
"displayName": "text"
},
"supplierOrderLineIds": [
1
],
"storage": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"components": [],
"fabricationComponents": [],
"bookings": [],
"commissions": [],
"previousDecisions": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"articleTaxLiabilityReversed": false,
"taxLiabilityReversed": false,
"presetPrice": 1,
"calculationData": "text",
"revenueCalculation": {
"productPurchasePrice": 1,
"salesValue": 1,
"revenue": 1,
"revenueInPercent": 1
},
"commissionOrigin": "NOT_COMMISSIONABLE",
"cashDiscountable": true,
"discountable": true,
"commissionable": false,
"warrantyInMonths": 1,
"contractDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"runtimeFromDate": "2026-01-01",
"runtimeToDate": "2026-01-01",
"lastCustomerCancellationDate": "2026-01-01",
"lastProviderCancellationDate": "2026-01-01",
"dueDateCalculation": "text",
"dueDate": "2026-01-01",
"nextDueDate": "2026-01-01",
"calculateDirectly": true,
"active": true,
"publishInPortal": false
},
"posDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"posLineType": "CASH_PAYMENT",
"depositExpenseTypeId": 1,
"paymentMethodId": 1,
"externalPaymentId": "text",
"externalPaymentStatus": "PENDING",
"externalPaymentErrorMessage": "text",
"paymentOperation": "PAYMENT",
"cancelledExternalPaymentId": "text",
"withdrawalMode": "FULL",
"balanceBeforeWithdrawal": 1,
"withdrawalAmount": 1,
"withdrawToBalance": 1,
"deletable": false
},
"fabricationDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"serialNumbers": [],
"quantityCommitted": 1,
"quantityInQA": 1,
"quantityDefective": 1,
"quantityFinished": 1,
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
},
"returnDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"returnCategory": "MONETARY_COMPENSATION_ITEM_STAYS_WITH_CUSTOMER",
"goodsExchangeArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"waitForReturnBeforeExchange": true,
"repairRequested": true,
"warrantyExchange": true,
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"replacementDeliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"replacementDeliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"returnCauseRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerShareOnSurcharge": 1,
"customerShareOnReduction": 1
},
"financeBooking": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"documentLineId": 1,
"ledgerNumber": "text",
"transactionKey": "text",
"costCenter1": "text",
"comment": "text",
"description": "text"
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"variantValues": [],
"performanceDate": "2026-01-01",
"basePrice": 1,
"baseTotalLinePriceModifier": 1,
"baseTotalDocumentPriceModifier": 1,
"baseTotalLinePrice": 1,
"baseSalesValueNet": 1,
"progressInvoice": false,
"dropShippingPolicy": "ANY",
"unitGrossVolumeInCubicMeters": 1,
"totalGrossVolumeInCubicMeters": 1,
"convertedIntoBundleArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"onGoodsArrivalConvertIntoBundleArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"insertTerm": "MANUAL",
"hasAccessories": false,
"recalcLinePriceViaComponents": false,
"doPrintLabel": false,
"storageInfo": "text"
}OK
Document lines.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Position number.
Position number across all article lines.
Article.
Line type.
Article types.
Article serial type.
Article number.
Article name.
Article description.
Price per quantity [gross, net].
Price unit.
Price origin.
Quantity.
Processed quantity.
Quantity in the picking process.
Pre-ordered quantity in the picking process.
Is this line completely processed?
falseTotal of the line price changes [gross, net].
Total of the document price changes [gross, net].
Net total price (after the price changes).
Tax amount.
Line total [gross, net], i.e. price * quantity less the line discounts.
Customs tariff number.
Delivery date.
Expected delivery period end (only required for delivery periods when the delivery date is set).
Confirmed delivery date.
Confirmed delivery period end (only required for delivery periods when the delivery date is set).
Shipping date.
Delivery text.
Shipper-specific information.
External reference to the VDS parcel.
External article number.
External article name.
External article description.
Net weight.
Total net weight.
Gross weight.
Total gross weight.
Unit of measure content.
Base unit content.
Reference to the base line.
Scanned code of the preprinted voucher card (VOUCHER_SALE of a voucher type with scanned codes only)
Open remaining amount of the open item to settle (only in the response).
Due date of the open item to settle (only in the response).
Payment discount of the open item to settle that is applicable at the document date (only in the response).
Note on the open item line - transferred into the open item comment on closing.
Reference to the supplier order line.
§13b UStG preset of the article.
falseIs §13b UStG applied?
falsePreset value for the price calculation.
Calculation structure.
Commission origin.
Is this line eligible for the payment discount?
trueIs this line eligible for discount?
trueIs this line eligible for commission?
falseWarranty in months.
Performance date.
Price per unit in base currency.
Price adjustments - line, in base currency.
Price adjustments - proportionally from the document, in base currency.
Total line price in base currency.
Line net sales value in base currency.
Is this a progress invoice line?
falseDefines whether and how an article may be sold by drop shipping.
unit gross Volume in cubic meters
unit gross Volume in cubic meters
Accessory insert term.
Does the article have accessories?
falseShould the DocumentLine be recalculated from the components?
falseShould labels be printed for this line?
falsepicking hint
PUT /erp/documents/additional-functions/{documentId}/line/{documentLineId}/customerOrderLine/{customerOrderLineId}/remove HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"position": 1,
"positionOfArticleLine": 1,
"articleId": "text",
"lineType": "ARTICLE_LINE",
"productType": "WITH_STOCK",
"serialType": "NONE",
"number": "text",
"name": "text",
"description": "text",
"unitType": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"price": 1,
"priceUnit": 1,
"priceOrigin": "USER_DEFINED",
"priceSelectionCriteria": {
"qualifier": "SALES",
"articleIds": [
1
],
"selectOnlyDefaultPrice": false,
"accountIds": [
1
],
"productGroupId": 1,
"priceGroupId": 1,
"date": "2026-01-01",
"quantity": 1,
"noteSpecialOfferPrice": true
},
"quantity": 1,
"quantityCommitted": 1,
"pickingQuantity": 1,
"preOrderPickedQuantity": 1,
"complete": false,
"taxSchemaRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"taxes": [],
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"priceModifiers": [],
"salesValueNet": 1,
"vat": 1,
"totalLinePrice": 1,
"texts": [],
"shippingCostDetail": {
"manualCosts": false,
"freeShipping": false,
"purchasePrice": 1
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"country": {
"id": 1,
"isoAlpha2": "text",
"isoAlpha3": "text",
"label": "text"
},
"countryRegion": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customsTariffNumber": "text",
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryText": "text",
"packageOptions": "text",
"externalReferenceVds": "text",
"externalArticleNumber": "text",
"externalArticleName": "text",
"externalArticleDescription": "text",
"netWeight": 1,
"totalNetWeight": 1,
"netWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"grossWeight": 1,
"totalGrossWeight": 1,
"grossWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"capacity": 1,
"capacityUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"baseCapacity": 1,
"baseCapacityUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"sourceLineRef": {
"id": 1,
"documentId": 1,
"category": "CUSTOMER_OFFER",
"documentType": "text",
"documentState": "text",
"number": "text",
"articleNumber": "text",
"position": 1,
"name": "text",
"quantity": 1,
"price": 1,
"displayName": "text"
},
"baseLineId": 1,
"mainArticleLineRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"settledOpenItemRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"voucherTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"voucherRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"voucherCode": "text",
"settledOpenItemBalance": 1,
"settledOpenItemPaymentDueDate": "2026-01-01",
"settledOpenItemDiscountAmount": 1,
"settledOpenItemComment": "text",
"customerOrderLineRef": {
"id": 1,
"documentId": 1,
"category": "CUSTOMER_OFFER",
"documentType": "text",
"documentState": "text",
"number": "text",
"articleNumber": "text",
"position": 1,
"name": "text",
"quantity": 1,
"price": 1,
"displayName": "text"
},
"supplierOrderLineIds": [
1
],
"storage": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"components": [],
"fabricationComponents": [],
"bookings": [],
"commissions": [],
"previousDecisions": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"articleTaxLiabilityReversed": false,
"taxLiabilityReversed": false,
"presetPrice": 1,
"calculationData": "text",
"revenueCalculation": {
"productPurchasePrice": 1,
"salesValue": 1,
"revenue": 1,
"revenueInPercent": 1
},
"commissionOrigin": "NOT_COMMISSIONABLE",
"cashDiscountable": true,
"discountable": true,
"commissionable": false,
"warrantyInMonths": 1,
"contractDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"runtimeFromDate": "2026-01-01",
"runtimeToDate": "2026-01-01",
"lastCustomerCancellationDate": "2026-01-01",
"lastProviderCancellationDate": "2026-01-01",
"dueDateCalculation": "text",
"dueDate": "2026-01-01",
"nextDueDate": "2026-01-01",
"calculateDirectly": true,
"active": true,
"publishInPortal": false
},
"posDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"posLineType": "CASH_PAYMENT",
"depositExpenseTypeId": 1,
"paymentMethodId": 1,
"externalPaymentId": "text",
"externalPaymentStatus": "PENDING",
"externalPaymentErrorMessage": "text",
"paymentOperation": "PAYMENT",
"cancelledExternalPaymentId": "text",
"withdrawalMode": "FULL",
"balanceBeforeWithdrawal": 1,
"withdrawalAmount": 1,
"withdrawToBalance": 1,
"deletable": false
},
"fabricationDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"serialNumbers": [],
"quantityCommitted": 1,
"quantityInQA": 1,
"quantityDefective": 1,
"quantityFinished": 1,
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
},
"returnDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"returnCategory": "MONETARY_COMPENSATION_ITEM_STAYS_WITH_CUSTOMER",
"goodsExchangeArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"waitForReturnBeforeExchange": true,
"repairRequested": true,
"warrantyExchange": true,
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"replacementDeliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"replacementDeliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"returnCauseRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerShareOnSurcharge": 1,
"customerShareOnReduction": 1
},
"financeBooking": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"documentLineId": 1,
"ledgerNumber": "text",
"transactionKey": "text",
"costCenter1": "text",
"comment": "text",
"description": "text"
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"variantValues": [],
"performanceDate": "2026-01-01",
"basePrice": 1,
"baseTotalLinePriceModifier": 1,
"baseTotalDocumentPriceModifier": 1,
"baseTotalLinePrice": 1,
"baseSalesValueNet": 1,
"progressInvoice": false,
"dropShippingPolicy": "ANY",
"unitGrossVolumeInCubicMeters": 1,
"totalGrossVolumeInCubicMeters": 1,
"convertedIntoBundleArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"onGoodsArrivalConvertIntoBundleArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"insertTerm": "MANUAL",
"hasAccessories": false,
"recalcLinePriceViaComponents": false,
"doPrintLabel": false,
"storageInfo": "text"
}OK
PUT /erp/documents/additional-functions/{documentId}/change-delivery-status?approved=true HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"document": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"number": "text",
"accountNumber": "text",
"customerNumber": "text",
"ourCustomerNumber": "text",
"supplierNumber": "text",
"salesAgentNumber": "text",
"externalIdentifier": "text",
"externalNumber": "text",
"externalPaymentReference": "text",
"published": false,
"frozen": false,
"qualifier": "SALE",
"accountId": "text",
"billingAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"documentDate": "2026-01-01",
"performanceDate": "2026-01-01",
"valueDate": "2026-01-01",
"taxable": true,
"taxIdentificationNumber": "text",
"taxIdVerificationState": "NOT_YET_VERIFIED",
"valitoolValidationState": "NOT_VALIDATED",
"billingType": "GROSS",
"documentType": "text",
"documentTypeId": 1,
"documentTypeCategory": "CUSTOMER_OFFER",
"documentState": {
"label": "text",
"key": "text",
"definition": "SELECTABLE_TYPES"
},
"cancellationReasonRef": {
"id": "text",
"label": "text",
"description": "text"
},
"currencyCode": "text",
"exchangeRate": 1,
"exchangeRateOrigin": "AUTOMATIC",
"responsibleUserRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"totalBeforeModifier": 1,
"totalPriceModifier": 1,
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"totalNetPrice": 1,
"totalVat": 1,
"totalGrossPrice": 1,
"roundingAmount": 1,
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true,
"paymentType": "PREPAYMENT"
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"depositPaymentAmount": 1,
"depositPaymentDate": "2026-01-01",
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryQuantityPackages": 1,
"deliveryText": "text",
"deliveryApproved": true,
"dropShippingInvoiceApproved": true,
"orderedOn": "2026-01-01",
"orderedByPersonRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"orderedBy": "text",
"taxLiabilityReversed": false,
"collectiveInvoice": false,
"texts": [],
"lines": [],
"shippingCosts": [],
"posPayments": [],
"shippingCostSum": 1,
"priceModifiers": [],
"taxes": [],
"defaultAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"billingAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"deliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"returnDeliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"stackProcessingType": "NO_PICKING",
"stackProcessingPriority": 1,
"maxDeliveries": 1,
"taxPerformanceLocation": "DOMESTIC",
"mainSupplyType": "GOODS",
"mainSupplyTypeOrigin": "AUTOMATIC",
"performanceCountryCode": "text",
"sourceCountryCode": "text",
"afterPickingTargetDocumentTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"grossWeight": 1,
"grossWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"userDefinedWeight": false,
"tags": [],
"reportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"locationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDiscountableTotalGrossPrice": 1,
"contractDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"runtimeFromDate": "2026-01-01",
"runtimeToDate": "2026-01-01",
"lastCustomerCancellationDate": "2026-01-01",
"lastProviderCancellationDate": "2026-01-01",
"dueDateCalculation": "text",
"dueDate": "2026-01-01",
"nextDueDate": "2026-01-01",
"calculateDirectly": true,
"active": true,
"publishInPortal": false
},
"posDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"posRegisterRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashDrawerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"cashJournalRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fiscalizationBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"tssSignature": {
"status": "FINISHED",
"responseData": "text",
"externalReference": "text",
"revision": 1
},
"externalReference": "text",
"timeStart": 1,
"timeEnd": 1,
"clientSerialNumber": "text",
"tssSerialNumber": "text",
"transactionNumber": 1,
"revision": 1,
"signatureCounter": 1,
"signature": "text",
"withdrawalFromClosing": false
},
"fabricationDetail": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"startDate": "2026-01-01",
"minimumDegreeOfFulfillment": 1,
"note": "text",
"componentsStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"workbenchStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"qualityAssuranceStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defectiveStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetStorageBinRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
},
"buyerReference": "text",
"en16931Profile": "ZUGFERD",
"importType": "NOT_IMPORTED",
"paymentPlan": false,
"calculationMode": "HORIZONTAL",
"processedByWorkflow": true,
"referencedOrderNumber": "text",
"additionalInfo": {
"calculationModeOrigin": "FROM_BILLING_ADDRESS",
"roundingMode": "NONE",
"en16931Origin": "FROM_BILLING_ADDRESS",
"buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
"previousDecisions": "text",
"taxSituationOrigin": "UNDEFINED",
"languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
"contextParameters": [],
"incomingGoodsTarget": {
"storageBinId": 1,
"pickTrolleyId": 1
},
"translations": [],
"incomingGoodsTargetsPerLine": []
},
"languageCode": "text",
"baseCurrencyCode": "text",
"baseTotalNetPrice": 1,
"baseTotalLinePriceModifier": 1,
"baseTotalDocumentPriceModifier": 1,
"baseTotalGrossPrice": 1,
"baseDepositPaymentAmount": 1,
"baseCashDiscountableTotalGrossPrice": 1,
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"posReceiptPaymentSum": 1,
"posReceiptBalance": 1,
"posReceiptChangeAmount": 1,
"posReceiptBalanced": false,
"posReceiptPayed": false,
"dropShipping": true,
"totalGrossVolumeInCubicMeters": 1
},
"hints": {
"details": []
},
"viewOptions": {
"revenueCalculation": {
"productPurchasePrice": 1,
"salesValue": 1,
"revenue": 1,
"revenueInPercent": 1
},
"loanValue": {
"accountId": 1,
"maximalLoan": 1,
"currentLoan": 1,
"nonInvoicedDocumentLoan": 1,
"receivableLoan": 1,
"payablesSum": 1,
"currentDocumentLoan": 1,
"remainingLoan": 1,
"exceededLoan": 1,
"unconsideredAmount": 1
},
"considerForCreditLimit": true,
"financeJournalAccountingInformation": {
"accountingStatus": "PROCESSING",
"financeBookingRunRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
"runState": "PROCESSING"
},
"possiblePredecessorTypes": [
"text"
],
"sumAmountOfProgressInvoices": 1,
"sumAmountOfDepositInvoices": 1,
"sumAmountOfPartialInvoices": 1,
"sumAmountOfDeliveryInvoices": 1,
"depositInvoiceRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"sumOpenAmountForProgressInvoices": 1,
"totalAmountDependingFromBillingType": 1,
"orderRefs": [],
"picklistRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"autoPrintPaperReceipt": true
}
}Toggle the document finalization state: 'frozen' for purchase documents, 'published' for sales documents
OK
POST /erp/documents/additional-functions/{documentId}/toggle-finalized HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"document": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"number": "text",
"accountNumber": "text",
"customerNumber": "text",
"ourCustomerNumber": "text",
"supplierNumber": "text",
"salesAgentNumber": "text",
"externalIdentifier": "text",
"externalNumber": "text",
"externalPaymentReference": "text",
"published": false,
"frozen": false,
"qualifier": "SALE",
"accountId": "text",
"billingAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"documentDate": "2026-01-01",
"performanceDate": "2026-01-01",
"valueDate": "2026-01-01",
"taxable": true,
"taxIdentificationNumber": "text",
"taxIdVerificationState": "NOT_YET_VERIFIED",
"valitoolValidationState": "NOT_VALIDATED",
"billingType": "GROSS",
"documentType": "text",
"documentTypeId": 1,
"documentTypeCategory": "CUSTOMER_OFFER",
"documentState": {
"label": "text",
"key": "text",
"definition": "SELECTABLE_TYPES"
},
"cancellationReasonRef": {
"id": "text",
"label": "text",
"description": "text"
},
"currencyCode": "text",
"exchangeRate": 1,
"exchangeRateOrigin": "AUTOMATIC",
"responsibleUserRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"totalBeforeModifier": 1,
"totalPriceModifier": 1,
"totalLinePriceModifier": 1,
"totalDocumentPriceModifier": 1,
"totalNetPrice": 1,
"totalVat": 1,
"totalGrossPrice": 1,
"roundingAmount": 1,
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true,
"paymentType": "PREPAYMENT"
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"depositPaymentAmount": 1,
"depositPaymentDate": "2026-01-01",
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryDate": "2026-01-01",
"deliveryDateEnd": "2026-01-01",
"confirmedDeliveryDate": "2026-01-01",
"confirmedDeliveryDateEnd": "2026-01-01",
"shippingDate": "2026-01-01",
"deliveryQuantityPackages": 1,
"deliveryText": "text",
"deliveryApproved": true,
"dropShippingInvoiceApproved": true,
"orderedOn": "2026-01-01",
"orderedByPersonRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"orderedBy": "text",
"taxLiabilityReversed": false,
"collectiveInvoice": false,
"texts": [],
"lines": [],
"shippingCosts": [],
"posPayments": [],
"shippingCostSum": 1,
"priceModifiers": [],
"taxes": [],
"defaultAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"billingAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"deliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"returnDeliveryAddress": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salutation": "text",
"title": "text",
"name1": "text",
"name2": "text",
"name3": "text",
"globalLocationNumber": "text",
"street": "text",
"streetAddressNumber": "text",
"additionalAddressLine1": "text",
"additionalAddressLine2": "text",
"city": "text",
"regionRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"postcode": "text",
"postOfficeBox": "text",
"countryCode": "text",
"phoneContact": "text",
"mailContact": "text",
"languageCode": "text",
"paymentTermRef": {
"id": "text",
"label": "text",
[...]
